ITKeyword,专注技术干货聚合推荐

注册 | 登录

防止idea每次都默认以1.5版本编译的maven设置

high2011 分享于 2016-07-16

推荐:Maven设置项目java默认编译版本

eclipse加载java项目时,默认会用1.5的版本去编译或者引进jdk版本,修改pom文件设置所需的版本。 <build> <plugins> <plugin> <gr

2019阿里云全部产品优惠券(新购或升级都可以使用,强烈推荐)
领取地址https://promotion.aliyun.com/ntms/yunparter/invite.html

常常在maven项目中,每次reimport后,Target bytecode version都会恢复到1.5版本编译,以致每次都要通过---》Compiler----->选择Target bytecode version版本,

所以为了省事,我在maven的pom.xml中添加了如下红色字体配置。


在项目中添加如下配置即可:

<properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
    <java.version>1.7</java.version>
    <cdh.version>cdh5.5.2</cdh.version>
 <!--add maven release--> <maven.compiler.source>1.7</maven.compiler.source> <maven.compiler.target>1.7</maven.compiler.target> <encoding>UTF-8</encoding>
    <scala.tools.version>2.10</scala.tools.version>
    <scala.version>2.10.4</scala.version>
</properties>

常常在maven项目中,每次reimport后,Target bytecode version都会恢复到1.5版本编译,以致每次都要通过---》Compiler----->选择Target bytecode version版本, 所以为了省事,我在maven的pom.x

相关阅读排行


用户评论

游客

相关内容推荐

最新文章

×

×

请激活账号

为了能正常使用评论、编辑功能及以后陆续为用户提供的其他产品,请激活账号。

您的注册邮箱: 修改

重新发送激活邮件 进入我的邮箱

如果您没有收到激活邮件,请注意检查垃圾箱。